/**************** (c) 2003  STMicroelectronics ********************************

NAME:		vector_7265.c
PROJECT:	Vectors table for ST7 USB Full Speed library
VERSION:	v 1.00
CREATION:	21-FEB-2003
AUTHOR:		MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS : 

******************************************************************************/

#define NULL (void *)0

extern void main(void);
extern void INT_USB(void);
extern void INT_EndSusp(void);


#pragma section const {VECTORS}

void (* const _vectors[])(void) = {
	
	NULL, 		// FFE6h - FFE7h
	NULL, 		// FFE8h - FFE9h
	NULL,		// FFEAh - FFEBh
	NULL,		// FFECh - FFEDh
	NULL,		// FFEEh - FFEFh
	INT_EndSusp,	// FFF0h - FFF1h
	INT_USB,	// FFF2h - FFF3h
	NULL,		// FFF4h - FFF5h
	NULL,		// FFF6h - FFF7h
	NULL,		// FFF8h - FFF9h
	NULL,		// FFFAh - FFFBh
	NULL,		// FFFCh - FFFDh
	main		// FFFEh - FFFFh (RESET)
};

// EOF