/**************** (c) 2001  STMicroelectronics ********************************

NAME:		vector_7hub.c
PROJECT:	Vectors table for ST7 USB Full Speed library
VERSION:	v 1.00
CREATION:	20-FEB-2003
AUTHOR:		MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS : 

******************************************************************************/

#define NULL (void *)0

extern void main(void);
extern void INT_USB(void);
extern void INT_EndSusp(void);
extern void INT_HUB(void);

#pragma section const {VECTORS}

void (* const _vectors[])(void) = {
	INT_HUB, 	// FFE8h - FFE9h
	INT_EndSusp,	// FFEAh - FFEBh
	NULL,		// FFECh - FFEDh
	NULL,		// FFEEh - FFEFh
	NULL,		// FFF0h - FFF1h
	NULL,		// FFF2h - FFF3h
	NULL,		// FFF4h - FFF5h
	NULL,		// FFF6h - FFF7h
	INT_USB,	// FFF8h - FFF9h
	NULL,		// FFFAh - FFFBh
	NULL,		// FFFCh - FFFDh
	main		// FFFEh - FFFFh (RESET)
};

// EOF