/**************** (c) 2001  STMicroelectronics *******************************

NAME:		appli.h
PROJECT:	Sample code for ST7 USB Full Speed library
VERSION:	v 1.20
CREATION:	07/01/2002
AUTHOR:		MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

MODIFICATIONS : 

*****************************************************************************/

#define MAX_NUM_CONFIG		1
#define MAX_NUM_INTERFACE	1
#define INT_MASK		(IMR_CTR | IMR_SOVR | IMR_RESET | IMR_ERR | IMR_ESUSP)

// HID descriptor type
#define HID_HID_DESC		0x21
#define HID_REPORT_DESC		0x22
#define HID_PHYSICAL_DESC	0x23

// HID Class Request Type
#define HID_GET_REPORT		0x01
#define HID_SET_REPORT		0x09

// HID Report Type
#define HID_INPUT_REPORT	0x01
#define HID_OUTPUT_REPORT	0x02
#define HID_FEATURE_REPORT	0x03

/*** EOF ***/